<?php
/**
* Header Banner Options.
*
* @package Multi Sports Club
*/

$multi_sports_club_default = multi_sports_club_get_default_theme_options();
$multi_sports_club_post_category_list = multi_sports_club_post_category_list();

$wp_customize->add_section( 'multi_sports_club_header_banner_setting',
    array(
    'title'      => esc_html__( 'Slider Settings', 'multi-sports-club' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'multi_sports_club_theme_home_pannel',
    )
);

// Show/Hide Site Logo
$wp_customize->add_setting('multi_sports_club_display_logo', array(
    'default'           => false,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'multi_sports_club_sanitize_checkbox',
));
$wp_customize->add_control('multi_sports_club_display_logo', array(
    'label'    => esc_html__('Enable / Disable Site Logo', 'multi-sports-club'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Title
$wp_customize->add_setting('multi_sports_club_display_title', array(
    'default'           => true,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'multi_sports_club_sanitize_checkbox',
));
$wp_customize->add_control('multi_sports_club_display_title', array(
    'label'    => esc_html__('Enable / Disable Site Title', 'multi-sports-club'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Tagline
$wp_customize->add_setting('multi_sports_club_display_header_text',
    array(
        'default'           => false,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'multi_sports_club_sanitize_checkbox',
    )
);
$wp_customize->add_control('multi_sports_club_display_header_text',
    array(
        'label' => esc_html__('Enable / Disable Site Tagline', 'multi-sports-club'),
        'section' => 'title_tagline',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('multi_sports_club_header_banner',
    array(
        'default' => $multi_sports_club_default['multi_sports_club_header_banner'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'multi_sports_club_sanitize_checkbox',
    )
);
$wp_customize->add_control('multi_sports_club_header_banner',
    array(
        'label' => esc_html__('Enable Slider', 'multi-sports-club'),
        'section' => 'multi_sports_club_header_banner_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'multi_sports_club_header_banner_cat',
    array(
    'default'           => 'Slider',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'multi_sports_club_sanitize_select',
    )
);
$wp_customize->add_control( 'multi_sports_club_header_banner_cat',
    array(
    'label'       => esc_html__( 'Slider Post Left Category', 'multi-sports-club' ),
    'section'     => 'multi_sports_club_header_banner_setting',
    'type'        => 'select',
    'choices'     => $multi_sports_club_post_category_list,
    )
);

$wp_customize->add_setting( 'multi_sports_club_banner_right_cat',
    array(
    'default'           => 'Travel',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'multi_sports_club_sanitize_select',
    )
);
$wp_customize->add_control( 'multi_sports_club_banner_right_cat',
    array(
    'label'       => esc_html__( 'Slider Post Right Category', 'multi-sports-club' ),
    'section'     => 'multi_sports_club_header_banner_setting',
    'type'        => 'select',
    'choices'     => $multi_sports_club_post_category_list,
    )
);

// Featured Post Settings

$wp_customize->add_section( 'multi_sports_club_pricing_plans_setting',
    array(
    'title'      => esc_html__( 'Featured Post Settings', 'multi-sports-club' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'multi_sports_club_theme_home_pannel',
    )
);

$wp_customize->add_setting('multi_sports_club_about_section',
    array(
        'default' => $multi_sports_club_default['multi_sports_club_about_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'multi_sports_club_sanitize_checkbox',
    )
);
$wp_customize->add_control('multi_sports_club_about_section',
    array(
        'label' => esc_html__('Enable Featured Post', 'multi-sports-club'),
        'section' => 'multi_sports_club_pricing_plans_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'multi_sports_club_most_read_section_title',
    array(
    'default'           => $multi_sports_club_default['multi_sports_club_most_read_section_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'multi_sports_club_most_read_section_title',
    array(
    'label'    => esc_html__( 'Featured Post Title', 'multi-sports-club' ),
    'section'  => 'multi_sports_club_pricing_plans_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'multi_sports_club_most_read_section_content',
    array(
    'default'           => $multi_sports_club_default['multi_sports_club_most_read_section_content'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'multi_sports_club_most_read_section_content',
    array(
    'label'    => esc_html__( 'Featured Post Content', 'multi-sports-club' ),
    'section'  => 'multi_sports_club_pricing_plans_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'multi_sports_club_featured_right_cat',
    array(
    'default'           => 'Sports',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'multi_sports_club_sanitize_select',
    )
);
$wp_customize->add_control( 'multi_sports_club_featured_right_cat',
    array(
    'label'       => esc_html__( 'Featured Post Category', 'multi-sports-club' ),
    'section'     => 'multi_sports_club_pricing_plans_setting',
    'type'        => 'select',
    'choices'     => $multi_sports_club_post_category_list,
    )
);
